# isPodProvider abstract method

Future<bool> isPodProvider(

1. String podName, [
2. RootPodDefinition? rpd

])

Checks if the specified pod name refers to a pod provider.

Pod providers are special pods that can create other pods. This method checks if the given pod name corresponds to a provider.

## Usage Example:

    if (await factory.isPodProvider('serviceProvider')) {
      print('serviceProvider is a pod provider');
    }

@param podName The name of the pod to check @param rpd Optional root pod definition for direct checking @return A Future that completes with true if the pod is a provider

## Implementation

    Future<bool> isPodProvider(String podName, [RootPodDefinition? rpd]);